org.red5.server.api.scope

## Enum ScopeType

- java.lang.Object
- - java.lang.Enum<ScopeType>
  - - org.red5.server.api.scope.ScopeType

All Implemented Interfaces:
  Serializable, Comparable<ScopeType>

    public enum ScopeType
    extends Enum<ScopeType>

Represents all the supported scope types.

Author:
  Paul Gregoire (mondain@gmail.com)

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`APPLICATION`
`BROADCAST`
`GLOBAL`
`ROOM`
`SHARED_OBJECT`
`UNDEFINED`

### Method Summary

Methods
`static ScopeType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ScopeType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UNDEFINED

    public static final ScopeType UNDEFINED

#### GLOBAL

    public static final ScopeType GLOBAL

#### APPLICATION

    public static final ScopeType APPLICATION

#### ROOM

    public static final ScopeType ROOM

#### BROADCAST

    public static final ScopeType BROADCAST

#### SHARED_OBJECT

    public static final ScopeType SHARED_OBJECT

### Method Detail

#### values

    public static ScopeType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ScopeType c : ScopeType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ScopeType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null